export const GET_USERS_TYPES_BY_ORGANIZATION_REQUEST =
  "GET_USERS_TYPES_BY_ORGANIZATION_REQUEST";
export const GET_USERS_TYPES_BY_ORGANIZATION_SUCCESS =
  "GET_USERS_TYPES_BY_ORGANIZATION_SUCCESS";
export const GET_USERS_TYPES_BY_ORGANIZATION_ERROR =
  "GET_USERS_TYPES_BY_ORGANIZATION_ERROR";

export const GET_ROLES_BY_SPECIFIC_USER_REQUEST =
  "GET_ROLES_BY_SPECIFIC_USER_REQUEST";
export const GET_ROLES_BY_SPECIFIC_USER_SUCCESS =
  "GET_ROLES_BY_SPECIFIC_USER_SUCCESS";
export const GET_ROLES_BY_SPECIFIC_USER_ERROR =
  "GET_ROLES_BY_SPECIFIC_USER_ERROR";

export const GET_PERMISSIONS_BY_SPECIFIC_USER_REQUEST =
  "GET_PERMISSIONS_BY_SPECIFIC_USER_REQUEST";
export const GET_PERMISSIONS_BY_SPECIFIC_USER_SUCCESS =
  "GET_PERMISSIONS_BY_SPECIFIC_USER_SUCCESS";
export const GET_PERMISSIONS_BY_SPECIFIC_USER_ERROR =
  "GET_PERMISSIONS_BY_SPECIFIC_USER_ERROR";

export const FETCH_ORGANIZATION_ROLES_REQUEST =
  "FETCH_ORGANIZATION_ROLES_REQUEST";
export const FETCH_ORGANIZATION_ROLES_SUCCESS =
  "FETCH_ORGANIZATION_ROLES_SUCCESS";
export const FETCH_ORGANIZATION_ROLES_ERROR = "FETCH_ORGANIZATION_ROLES_ERROR";

export const CREATE_ROLE_TO_ORGANIZATION_REQUEST =
  "CREATE_ROLE_TO_ORGANIZATION_REQUEST";
export const CREATE_ROLE_TO_ORGANIZATION_SUCCESS =
  "CREATE_ROLE_TO_ORGANIZATION_SUCCESS";
export const CREATE_ROLE_TO_ORGANIZATION_ERROR =
  "CREATE_ROLE_TO_ORGANIZATION_ERROR";

export const GET_ALL_ROLE_CATEGORIES_REQUEST =
  "GET_ALL_ROLE_CATEGORIES_REQUEST";
export const GET_ALL_ROLE_CATEGORIES_SUCCESS =
  "GET_ALL_ROLE_CATEGORIES_SUCCESS";
export const GET_ALL_ROLE_CATEGORIES_ERROR = "GET_ALL_ROLE_CATEGORIES_ERROR";

export const ADD_VALUE_TO_ROLE_CATEGORIES_FORM =
  "ADD_VALUE_TO_ROLE_CATEGORIES_FORM";

export const GET_ROLE_BY_ID_REQUEST = "GET_ROLE_BY_ID_REQUEST";
export const GET_ROLE_BY_ID_SUCCESS = "GET_ROLE_BY_ID_SUCCESS";
export const GET_ROLE_BY_ID_ERROR = " GET_ROLE_BY_ID_ERROR";

export const GET_PERMISSIONS_BY_ROLE_REQUEST =
  " GET_PERMISSIONS_BY_ROLE_REQUEST";
export const GET_PERMISSIONS_BY_ROLE_SUCCESS =
  "GET_PERMISSIONS_BY_ROLE_SUCCESS";
export const GET_PERMISSIONS_BY_ROLE_ERROR = " GET_PERMISSIONS_BY_ROLE_ERROR";

export const GET_ALL_CATEGORIES_ORGANIZATION_REQUEST =
  "GET_ALL_CATEGORIES_ORGANIZATION_REQUEST";
export const GET_ALL_CATEGORIES_ORGANIZATION_SUCCESS =
  "GET_ALL_CATEGORIES_ORGANIZATION_SUCCESS";
export const GET_ALL_CATEGORIES_ORGANIZATION_ERROR =
  "GET_ALL_CATEGORIES_ORGANIZATION_ERROR";

export const GET_PERMISSIONS_BY_CATEGORY_REQUEST =
  "GET_PERMISSIONS_BY_CATEGORY_REQUEST";
export const GET_PERMISSIONS_BY_CATEGORY_SUCCESS =
  "GET_PERMISSIONS_BY_CATEGORY_SUCCESS";
export const GET_PERMISSIONS_BY_CATEGORY_ERROR =
  "GET_PERMISSIONS_BY_CATEGORY_ERROR";

export const GET_PERMISSION_BY_ID_REQUEST = "GET_PERMISSION_BY_ID_REQUEST";
export const GET_PERMISSION_BY_ID_SUCCESS = "GET_PERMISSION_BY_ID_SUCCESS";
export const GET_PERMISSION_BY_ID_ERROR = "GET_PERMISSION_BY_ID_ERROR";

export const GET_RECENT_USER_TYPES_REQUEST = "GET_RECENT_USER_TYPES_REQUEST";
export const GET_RECENT_USER_TYPES_SUCCESS = "GET_RECENT_USER_TYPES_SUCCESS";
export const GET_RECENT_USER_TYPES_ERROR = "GET_RECENT_USER_TYPES_ERROR";

export const GET_RECENT_ADDED_ROLES_REQUEST = "GET_RECENT_ADDED_ROLES_REQUEST";
export const GET_RECENT_ADDED_ROLES_SUCCESS = "GET_RECENT_ADDED_ROLES_SUCCESS";
export const GET_RECENT_ADDED_ROLES_ERROR = "GET_RECENT_ADDED_ROLES_ERROR";

export const GET_RECENT_ACTIVITIES_REQUEST = "GET_RECENT_ACTIVITIES_REQUEST";
export const GET_RECENT_ACTIVITIES_SUCCESS = "GET_RECENT_ACTIVITIES_SUCCESS";
export const GET_RECENT_ACTIVITIES_ERROR = "GET_RECENT_ACTIVITIES_ERROR";

export const GET_USERS_BY_ORGANIZATION_REQUEST =
  "GET_USERS_BY_ORGANIZATION_REQUEST";
export const GET_USERS_BY_ORGANIZATION_SUCCESS =
  "GET_USERS_BY_ORGANIZATION_SUCCESS";
export const GET_USERS_BY_ORGANIZATION_ERROR =
  "GET_USERS_BY_ORGANIZATION_ERROR";

export const GET_PERMISSIONS_BY_ORGANIZATION_REQUEST =
  "GET_PERMISSIONS_BY_ORGANIZATION_REQUEST";
export const GET_PERMISSIONS_BY_ORGANIZATION_SUCCESS =
  "GET_PERMISSIONS_BY_ORGANIZATION_SUCCESS";
export const GET_PERMISSIONS_BY_ORGANIZATION_ERROR =
  "GET_PERMISSIONS_BY_ORGANIZATION_ERROR";

export const GET_USERS_BY_USER_TYPE_REQUEST = "GET_USERS_BY_USER_TYPE_REQUEST";
export const GET_USERS_BY_USER_TYPE_SUCCESS = "GET_USERS_BY_USER_TYPE_SUCCESS";
export const GET_USERS_BY_USER_TYPE_ERROR = "GET_USERS_BY_USER_TYPE_ERROR";
